## org.omg.PortableServer
Class IdAssignmentPolicyValue

    java.lang.Object
      |
      +--org.omg.PortableServer.IdAssignmentPolicyValue

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class IdAssignmentPolicyValue
extends java.lang.Object
implements IDLEntity

Enum definition : IdAssignmentPolicyValue

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`static int` `_SYSTEM_ID` Enum member SYSTEM_ID value
`static int` `_USER_ID` Enum member USER_ID value
`static IdAssignmentPolicyValue` `SYSTEM_ID` Enum member SYSTEM_ID
`static IdAssignmentPolicyValue` `USER_ID` Enum member USER_ID

Method Summary
`static IdAssignmentPolicyValue` `from_int(int value)` Return a enum member from its value
`java.lang.Object` `readResolve()` Maintains singleton property for serialized enums.
`java.lang.String` `toString()` Return a string representation
`int` `value()` Return the internal member value

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _USER_ID

    public static final int _USER_ID

  Enum member USER_ID value

### USER_ID

    public static final IdAssignmentPolicyValue USER_ID

  Enum member USER_ID

### _SYSTEM_ID

    public static final int _SYSTEM_ID

  Enum member SYSTEM_ID value

### SYSTEM_ID

    public static final IdAssignmentPolicyValue SYSTEM_ID

  Enum member SYSTEM_ID

Method Detail

### readResolve

    public java.lang.Object readResolve()
                                 throws java.io.ObjectStreamException

  Maintains singleton property for serialized enums. Issue 4271: IDL/Java issue, Mapping for IDL enum.

### value

    public int value()

  Return the internal member value
  Returns:
    the member value

### from_int

    public static IdAssignmentPolicyValue from_int(int value)

  Return a enum member from its value
  Parameters:
    `an` - enum value
  Returns:
    an enum member

### toString

    public java.lang.String toString()

  Return a string representation
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the enumeration